@extends('layouts.admin')
@section('content')
    <!--左侧菜单栏-->
@include('admin.left-sidebar')
    <!-- 内容 -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                信息统计
                <small> </small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="{{ url('/')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
                <li><a href="#">信息统计</a></li>
            </ol>
        </section>




        <!-- Main content -->
        <section class="content">


            <div class='box'>
                <div class="box-header">
                    <h3 class="box-title">案件搜索</h3>
                </div>
                <div class="box-body">
                    <div class="row">
                        <form action="{{ url('/search_where') }}">
                            <div class="col-sm-3">
                                <input name="name" class="form-control" placeholder="请输入搜索姓名，不输入则显示全部">
                            </div>
                            <div class="col-sm-3">
                                <select class="form-control" name="project_name">
                                    <option value="">选择项目，未选则显示全部</option>
                                    @foreach($project as $pro)
                                        <option value="{{ $pro->project_name }}">{{ $pro->project_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="col-sm-3">
                                <input name="start_time" class="form-control" placeholder="开始日期，不输入则显示全部  输入格式：20160802">
                            </div>
                            <div class="col-sm-3" style="margin-bottom: 1%">
                                <input name="end_time" class="form-control" placeholder="结束日期，不输入则显示全部  输入格式：20160802">
                            </div>
                            <div style="text-align: center">
                                <button type="submit" class="btn btn-primary">搜索</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>


            <!-- Default box -->
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">案件列表</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                        <div class="row">
                            <div class="col-sm-6"></div>
                            <div class="col-sm-6"></div>
                        </div>

                        <div class="row">
                            <div class="col-sm-12">
                                <table id="example2" class="table table-hover dataTable" role="grid" aria-describedby="example2_info">
                                    <thead>
                                    <tr role="row">
                                        <th>ID</th>
                                        <th>姓名</th>
                                        <th>身份证</th>
                                        <th>地址</th>
                                        <th>室内面积(㎡)</th>
                                        <th>房型</th>
                                        <th>联系方式</th>
                                        <th>用途</th>
                                        {{--<th>操作</th>--}}
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($data as $list)
                                    <tr role="row" class="odd">
                                        <td>{{ $list->id }}</td>
                                        <td>{{ $list->bzc_name }}</td>
                                        <td>{{ $list->bzc_cardid }}</td>
                                        <td>{{ $list->bzc_addr }}</td>
                                        <td>{{ $list->bzc_area }}</td>
                                        <td>{{ $list->house_type }}</td>
                                        <td>{{ $list->bzc_tel }}</td>
                                        <td>{{ $list->used }}</td>
                                        {{--<td><a href="{{ url('/table/'.$list->id.'/edit') }}" class="btn btn-primary btn-sm">--}}
                                                {{--<i class="fa fa-search"></i> 查看</a>--}}
                                            {{--@if($user->role>5)--}}
                                                {{--<a href="{{ url('/table/'.$list->id.'/edit') }}" class="btn btn-success btn-sm">--}}
                                                    {{--<i class="fa fa-pencil"></i> 编辑</a>--}}
                                                {{--@endif--}}
                                        {{--</td>--}}
                                    </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">显示 0 - 10 </div>
                            </div>
                            <div class="col-sm-7">
                                <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
                                    <ul class="pagination">
                                        {{ $data->links() }}
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->

        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection