@extends('layouts.admin')
@section('content')

        <!--左侧菜单栏-->

@include('admin.left-sidebar')

<!-- 内容 -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            系统设置
            <small></small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ url('/ ')}}"><i class="fa fa-dashboard"></i> 主页</a></li>
            <li><a href="#">系统设置</a></li>
            <li class="active">职位管理</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="box">
            <div class="box-header with-border">
                <h3 class="box-title">添加职位</h3>
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                        <i class="fa fa-minus"></i></button>
                </div>
            </div>
            <div class="box-body">
                <form class="form-horizontal form-bordered" action="{{ url('/job') }}" method="POST">
                    {{ csrf_field() }}
                    @if(count($errors)>0)
                        <div class="callout callout-danger">
                            @if(is_object($errors))
                                @foreach($errors->all() as $error)
                                    <p>{{ $error }}</p>
                                @endforeach
                            @else
                                <p>{{ $errors }}</p>
                            @endif
                        </div>
                    @endif
                    <div class="panel-body panel-body-nopadding">


                        <div class="form-group">
                            <label class="col-sm-3 control-label">职位权限</label>

                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="role" value="" placeholder="0 - 6,数字越大权限越高">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-3 control-label">职位名称</label>

                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="display_name" value="">
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-3 control-label">职位详述</label>

                            <div class="col-sm-6">
                                <input type="text" class="form-control" name="description" value="">
                            </div>
                        </div>

                    </div><!-- panel-body -->

                    <div class="panel-footer">
                        <div class="row">
                            <div class="col-sm-6 col-sm-offset-3">
                                <a><button type="submit" class="btn btn-primary">保存</button></a>
                                &nbsp;
                                <a class="btn btn-default" href="{{ url('/job') }}">取消</a>
                            </div>
                        </div>
                    </div><!-- panel-footer -->

                </form>
            </div>
            <!-- /.box-body -->
        </div>
        <!-- /.box -->

    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

@endsection